Package io.vertx.grpc.reflection.v1

## Class ServerReflectionResponse

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessage
      - - io.vertx.grpc.reflection.v1.ServerReflectionResponse

- All Implemented Interfaces:
    `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `ServerReflectionResponseOrBuilder`, `Serializable`

      public final class ServerReflectionResponse
      extends com.google.protobuf.GeneratedMessage
      implements ServerReflectionResponseOrBuilder

       The message sent by the server to answer ServerReflectionInfo method.

  Protobuf type `grpc.reflection.v1.ServerReflectionResponse`
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ServerReflectionResponse.Builder` | The message sent by the server to answer ServerReflectionInfo method.
    `static class` | `ServerReflectionResponse.MessageResponseCase` |

    - ### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage

      `com.google.protobuf.GeneratedMessage.ExtendableBuilder<MessageT extends com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageT>,​BuilderT extends com.google.protobuf.GeneratedMessage.ExtendableBuilder<MessageT,​BuilderT>>, com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageT extends com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageT>>, com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder<MessageT extends com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageT>>, com.google.protobuf.GeneratedMessage.FieldAccessorTable, com.google.protobuf.GeneratedMessage.GeneratedExtension<ContainingT extends com.google.protobuf.Message,​T extends Object>, com.google.protobuf.GeneratedMessage.UnusedPrivateParameter`

    - ### Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessage

      `com.google.protobuf.AbstractMessage.BuilderParent`

    - ### Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

      `com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `ALL_EXTENSION_NUMBERS_RESPONSE_FIELD_NUMBER` |
    `static int` | `ERROR_RESPONSE_FIELD_NUMBER` |
    `static int` | `FILE_DESCRIPTOR_RESPONSE_FIELD_NUMBER` |
    `static int` | `LIST_SERVICES_RESPONSE_FIELD_NUMBER` |
    `static int` | `ORIGINAL_REQUEST_FIELD_NUMBER` |
    `static int` | `VALID_HOST_FIELD_NUMBER` |

    - ### Fields inherited from class com.google.protobuf.GeneratedMessage

      `alwaysUseFieldBuilders, unknownFields`

    - ### Fields inherited from class com.google.protobuf.AbstractMessage

      `memoizedSize`

    - ### Fields inherited from class com.google.protobuf.AbstractMessageLite

      `memoizedHashCode`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `ExtensionNumberResponse` | `getAllExtensionNumbersResponse()` | This message is used to answer all_extension_numbers_of_type requests.
    `ExtensionNumberResponseOrBuilder` | `getAllExtensionNumbersResponseOrBuilder()` | This message is used to answer all_extension_numbers_of_type requests.
    `static ServerReflectionResponse` | `getDefaultInstance()` |
    `ServerReflectionResponse` | `getDefaultInstanceForType()` |
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
    `ErrorResponse` | `getErrorResponse()` | This message is used when an error occurs.
    `ErrorResponseOrBuilder` | `getErrorResponseOrBuilder()` | This message is used when an error occurs.
    `FileDescriptorResponse` | `getFileDescriptorResponse()` | This message is used to answer file_by_filename, file_containing_symbol, file_containing_extension requests with transitive dependencies.
    `FileDescriptorResponseOrBuilder` | `getFileDescriptorResponseOrBuilder()` | This message is used to answer file_by_filename, file_containing_symbol, file_containing_extension requests with transitive dependencies.
    `ListServiceResponse` | `getListServicesResponse()` | This message is used to answer list_services requests.
    `ListServiceResponseOrBuilder` | `getListServicesResponseOrBuilder()` | This message is used to answer list_services requests.
    `ServerReflectionResponse.MessageResponseCase` | `getMessageResponseCase()` |
    `ServerReflectionRequest` | `getOriginalRequest()` | `.grpc.reflection.v1.ServerReflectionRequest original_request = 2;`
    `ServerReflectionRequestOrBuilder` | `getOriginalRequestOrBuilder()` | `.grpc.reflection.v1.ServerReflectionRequest original_request = 2;`
    `com.google.protobuf.Parser<ServerReflectionResponse>` | `getParserForType()` |
    `int` | `getSerializedSize()` |
    `String` | `getValidHost()` | `string valid_host = 1;`
    `com.google.protobuf.ByteString` | `getValidHostBytes()` | `string valid_host = 1;`
    `boolean` | `hasAllExtensionNumbersResponse()` | This message is used to answer all_extension_numbers_of_type requests.
    `boolean` | `hasErrorResponse()` | This message is used when an error occurs.
    `boolean` | `hasFileDescriptorResponse()` | This message is used to answer file_by_filename, file_containing_symbol, file_containing_extension requests with transitive dependencies.
    `int` | `hashCode()` |
    `boolean` | `hasListServicesResponse()` | This message is used to answer list_services requests.
    `boolean` | `hasOriginalRequest()` | `.grpc.reflection.v1.ServerReflectionRequest original_request = 2;`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
    `boolean` | `isInitialized()` |
    `static ServerReflectionResponse.Builder` | `newBuilder()` |
    `static ServerReflectionResponse.Builder` | `newBuilder​(ServerReflectionResponse prototype)` |
    `ServerReflectionResponse.Builder` | `newBuilderForType()` |
    `protected ServerReflectionResponse.Builder` | `newBuilderForType​(com.google.protobuf.AbstractMessage.BuilderParent parent)` |
    `static ServerReflectionResponse` | `parseDelimitedFrom​(InputStream input)` |
    `static ServerReflectionResponse` | `parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static ServerReflectionResponse` | `parseFrom​(byte[] data)` |
    `static ServerReflectionResponse` | `parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static ServerReflectionResponse` | `parseFrom​(com.google.protobuf.ByteString data)` |
    `static ServerReflectionResponse` | `parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static ServerReflectionResponse` | `parseFrom​(com.google.protobuf.CodedInputStream input)` |
    `static ServerReflectionResponse` | `parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static ServerReflectionResponse` | `parseFrom​(InputStream input)` |
    `static ServerReflectionResponse` | `parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static ServerReflectionResponse` | `parseFrom​(ByteBuffer data)` |
    `static ServerReflectionResponse` | `parseFrom​(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static com.google.protobuf.Parser<ServerReflectionResponse>` | `parser()` |
    `ServerReflectionResponse.Builder` | `toBuilder()` |
    `void` | `writeTo​(com.google.protobuf.CodedOutputStream output)` |

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage

      `canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, isStringEmpty, makeMutableCopy, makeMutableCopy, mergeFromAndMakeImmutableInternal, newFileScopedGeneratedExtension, newInstance, newMessageScopedGeneratedExtension, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage

      `findInitializationErrors, getInitializationErrorString, hashFields, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite

      `addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- - ### Field Detail

    - #### VALID_HOST_FIELD_NUMBER

          public static final int VALID_HOST_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### ORIGINAL_REQUEST_FIELD_NUMBER

          public static final int ORIGINAL_REQUEST_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### FILE_DESCRIPTOR_RESPONSE_FIELD_NUMBER

          public static final int FILE_DESCRIPTOR_RESPONSE_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### ALL_EXTENSION_NUMBERS_RESPONSE_FIELD_NUMBER

          public static final int ALL_EXTENSION_NUMBERS_RESPONSE_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### LIST_SERVICES_RESPONSE_FIELD_NUMBER

          public static final int LIST_SERVICES_RESPONSE_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### ERROR_RESPONSE_FIELD_NUMBER

          public static final int ERROR_RESPONSE_FIELD_NUMBER

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage`

    - #### getMessageResponseCase

          public ServerReflectionResponse.MessageResponseCase getMessageResponseCase()

      Specified by:
        `getMessageResponseCase` in interface `ServerReflectionResponseOrBuilder`

    - #### getValidHost

          public String getValidHost()

      `string valid_host = 1;`
      Specified by:
        `getValidHost` in interface `ServerReflectionResponseOrBuilder`
      Returns:
        The validHost.

    - #### getValidHostBytes

          public com.google.protobuf.ByteString getValidHostBytes()

      `string valid_host = 1;`
      Specified by:
        `getValidHostBytes` in interface `ServerReflectionResponseOrBuilder`
      Returns:
        The bytes for validHost.

    - #### hasOriginalRequest

          public boolean hasOriginalRequest()

      `.grpc.reflection.v1.ServerReflectionRequest original_request = 2;`
      Specified by:
        `hasOriginalRequest` in interface `ServerReflectionResponseOrBuilder`
      Returns:
        Whether the originalRequest field is set.

    - #### getOriginalRequest

          public ServerReflectionRequest getOriginalRequest()

      `.grpc.reflection.v1.ServerReflectionRequest original_request = 2;`
      Specified by:
        `getOriginalRequest` in interface `ServerReflectionResponseOrBuilder`
      Returns:
        The originalRequest.

    - #### getOriginalRequestOrBuilder

          public ServerReflectionRequestOrBuilder getOriginalRequestOrBuilder()

      `.grpc.reflection.v1.ServerReflectionRequest original_request = 2;`
      Specified by:
        `getOriginalRequestOrBuilder` in interface `ServerReflectionResponseOrBuilder`

    - #### hasFileDescriptorResponse

          public boolean hasFileDescriptorResponse()

           This message is used to answer file_by_filename, file_containing_symbol,
           file_containing_extension requests with transitive dependencies.
           As the repeated label is not allowed in oneof fields, we use a
           FileDescriptorResponse message to encapsulate the repeated fields.
           The reflection service is allowed to avoid sending FileDescriptorProtos
           that were previously sent in response to earlier requests in the stream.

      `.grpc.reflection.v1.FileDescriptorResponse file_descriptor_response = 4;`
      Specified by:
        `hasFileDescriptorResponse` in interface `ServerReflectionResponseOrBuilder`
      Returns:
        Whether the fileDescriptorResponse field is set.

    - #### getFileDescriptorResponse

          public FileDescriptorResponse getFileDescriptorResponse()

           This message is used to answer file_by_filename, file_containing_symbol,
           file_containing_extension requests with transitive dependencies.
           As the repeated label is not allowed in oneof fields, we use a
           FileDescriptorResponse message to encapsulate the repeated fields.
           The reflection service is allowed to avoid sending FileDescriptorProtos
           that were previously sent in response to earlier requests in the stream.

      `.grpc.reflection.v1.FileDescriptorResponse file_descriptor_response = 4;`
      Specified by:
        `getFileDescriptorResponse` in interface `ServerReflectionResponseOrBuilder`
      Returns:
        The fileDescriptorResponse.

    - #### getFileDescriptorResponseOrBuilder

          public FileDescriptorResponseOrBuilder getFileDescriptorResponseOrBuilder()

           This message is used to answer file_by_filename, file_containing_symbol,
           file_containing_extension requests with transitive dependencies.
           As the repeated label is not allowed in oneof fields, we use a
           FileDescriptorResponse message to encapsulate the repeated fields.
           The reflection service is allowed to avoid sending FileDescriptorProtos
           that were previously sent in response to earlier requests in the stream.

      `.grpc.reflection.v1.FileDescriptorResponse file_descriptor_response = 4;`
      Specified by:
        `getFileDescriptorResponseOrBuilder` in interface `ServerReflectionResponseOrBuilder`

    - #### hasAllExtensionNumbersResponse

          public boolean hasAllExtensionNumbersResponse()

           This message is used to answer all_extension_numbers_of_type requests.

      `.grpc.reflection.v1.ExtensionNumberResponse all_extension_numbers_response = 5;`
      Specified by:
        `hasAllExtensionNumbersResponse` in interface `ServerReflectionResponseOrBuilder`
      Returns:
        Whether the allExtensionNumbersResponse field is set.

    - #### getAllExtensionNumbersResponse

          public ExtensionNumberResponse getAllExtensionNumbersResponse()

           This message is used to answer all_extension_numbers_of_type requests.

      `.grpc.reflection.v1.ExtensionNumberResponse all_extension_numbers_response = 5;`
      Specified by:
        `getAllExtensionNumbersResponse` in interface `ServerReflectionResponseOrBuilder`
      Returns:
        The allExtensionNumbersResponse.

    - #### getAllExtensionNumbersResponseOrBuilder

          public ExtensionNumberResponseOrBuilder getAllExtensionNumbersResponseOrBuilder()

           This message is used to answer all_extension_numbers_of_type requests.

      `.grpc.reflection.v1.ExtensionNumberResponse all_extension_numbers_response = 5;`
      Specified by:
        `getAllExtensionNumbersResponseOrBuilder` in interface `ServerReflectionResponseOrBuilder`

    - #### hasListServicesResponse

          public boolean hasListServicesResponse()

           This message is used to answer list_services requests.

      `.grpc.reflection.v1.ListServiceResponse list_services_response = 6;`
      Specified by:
        `hasListServicesResponse` in interface `ServerReflectionResponseOrBuilder`
      Returns:
        Whether the listServicesResponse field is set.

    - #### getListServicesResponse

          public ListServiceResponse getListServicesResponse()

           This message is used to answer list_services requests.

      `.grpc.reflection.v1.ListServiceResponse list_services_response = 6;`
      Specified by:
        `getListServicesResponse` in interface `ServerReflectionResponseOrBuilder`
      Returns:
        The listServicesResponse.

    - #### getListServicesResponseOrBuilder

          public ListServiceResponseOrBuilder getListServicesResponseOrBuilder()

           This message is used to answer list_services requests.

      `.grpc.reflection.v1.ListServiceResponse list_services_response = 6;`
      Specified by:
        `getListServicesResponseOrBuilder` in interface `ServerReflectionResponseOrBuilder`

    - #### hasErrorResponse

          public boolean hasErrorResponse()

           This message is used when an error occurs.

      `.grpc.reflection.v1.ErrorResponse error_response = 7;`
      Specified by:
        `hasErrorResponse` in interface `ServerReflectionResponseOrBuilder`
      Returns:
        Whether the errorResponse field is set.

    - #### getErrorResponse

          public ErrorResponse getErrorResponse()

           This message is used when an error occurs.

      `.grpc.reflection.v1.ErrorResponse error_response = 7;`
      Specified by:
        `getErrorResponse` in interface `ServerReflectionResponseOrBuilder`
      Returns:
        The errorResponse.

    - #### getErrorResponseOrBuilder

          public ErrorResponseOrBuilder getErrorResponseOrBuilder()

           This message is used when an error occurs.

      `.grpc.reflection.v1.ErrorResponse error_response = 7;`
      Specified by:
        `getErrorResponseOrBuilder` in interface `ServerReflectionResponseOrBuilder`

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage`

    - #### writeTo

          public void writeTo​(com.google.protobuf.CodedOutputStream output)
                       throws IOException

      Specified by:
        `writeTo` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `writeTo` in class `com.google.protobuf.GeneratedMessage`
      Throws:
        `IOException`

    - #### getSerializedSize

          public int getSerializedSize()

      Specified by:
        `getSerializedSize` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getSerializedSize` in class `com.google.protobuf.GeneratedMessage`

    - #### equals

          public boolean equals​(Object obj)

      Specified by:
        `equals` in interface `com.google.protobuf.Message`
      Overrides:
        `equals` in class `com.google.protobuf.AbstractMessage`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `com.google.protobuf.Message`
      Overrides:
        `hashCode` in class `com.google.protobuf.AbstractMessage`

    - #### parseFrom

          public static ServerReflectionResponse parseFrom​(ByteBuffer data)
                                                    throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static ServerReflectionResponse parseFrom​(ByteBuffer data,
                                                           com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                    throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static ServerReflectionResponse parseFrom​(com.google.protobuf.ByteString data)
                                                    throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static ServerReflectionResponse parseFrom​(com.google.protobuf.ByteString data,
                                                           com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                    throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static ServerReflectionResponse parseFrom​(byte[] data)
                                                    throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static ServerReflectionResponse parseFrom​(byte[] data,
                                                           com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                    throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static ServerReflectionResponse parseFrom​(InputStream input)
                                                    throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static ServerReflectionResponse parseFrom​(InputStream input,
                                                           com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                    throws IOException

      Throws:
        `IOException`

    - #### parseDelimitedFrom

          public static ServerReflectionResponse parseDelimitedFrom​(InputStream input)
                                                             throws IOException

      Throws:
        `IOException`

    - #### parseDelimitedFrom

          public static ServerReflectionResponse parseDelimitedFrom​(InputStream input,
                                                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                             throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static ServerReflectionResponse parseFrom​(com.google.protobuf.CodedInputStream input)
                                                    throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static ServerReflectionResponse parseFrom​(com.google.protobuf.CodedInputStream input,
                                                           com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                    throws IOException

      Throws:
        `IOException`

    - #### newBuilderForType

          public ServerReflectionResponse.Builder newBuilderForType()

      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.Message`
      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.MessageLite`

    - #### newBuilder

          public static ServerReflectionResponse.Builder newBuilder()

    - #### newBuilder

          public static ServerReflectionResponse.Builder newBuilder​(ServerReflectionResponse prototype)

    - #### toBuilder

          public ServerReflectionResponse.Builder toBuilder()

      Specified by:
        `toBuilder` in interface `com.google.protobuf.Message`
      Specified by:
        `toBuilder` in interface `com.google.protobuf.MessageLite`

    - #### newBuilderForType

          protected ServerReflectionResponse.Builder newBuilderForType​(com.google.protobuf.AbstractMessage.BuilderParent parent)

      Overrides:
        `newBuilderForType` in class `com.google.protobuf.AbstractMessage`

    - #### getDefaultInstance

          public static ServerReflectionResponse getDefaultInstance()

    - #### parser

          public static com.google.protobuf.Parser<ServerReflectionResponse> parser()

    - #### getParserForType

          public com.google.protobuf.Parser<ServerReflectionResponse> getParserForType()

      Specified by:
        `getParserForType` in interface `com.google.protobuf.Message`
      Specified by:
        `getParserForType` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getParserForType` in class `com.google.protobuf.GeneratedMessage`

    - #### getDefaultInstanceForType

          public ServerReflectionResponse getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`